Add Folder
curl --request POST \
--url https://api.velt.dev/v2/organizations/folders/add \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"organizationId": "<string>",
"createOrganization": true,
"folders": [
{
"folderId": "<string>",
"folderName": "<string>",
"parentFolderId": "<string>",
"accessType": "<string>"
}
]
}
}
'{
"result": {
"status": "success",
"message": "Folder created successfully.",
"data": {
"yourFolderId": {
"success": true,
"id": "yourFolderId",
"message": "Folder added."
}
}
}
}
Folders
Add Folder
POST
/
v2
/
organizations
/
folders
/
add
Add Folder
curl --request POST \
--url https://api.velt.dev/v2/organizations/folders/add \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"organizationId": "<string>",
"createOrganization": true,
"folders": [
{
"folderId": "<string>",
"folderName": "<string>",
"parentFolderId": "<string>",
"accessType": "<string>"
}
]
}
}
'{
"result": {
"status": "success",
"message": "Folder created successfully.",
"data": {
"yourFolderId": {
"success": true,
"id": "yourFolderId",
"message": "Folder added."
}
}
}
}
Use this API to create a new folder in an organization.
Prior to using this API, you must:
- Enable advanced queries option in the console
- Deploy v4 series of the Velt SDK.
Endpoint
POST https://api.velt.dev/v2/organizations/folders/add
Headers
Your API key.
Your Auth Token.
Body
Params
Show properties
Show properties
Organization ID
If set to true, a new organization will be created (if it doesn’t exist) before the folder is created.
Example Requests
1. Create folder without access type
{
"data": {
"organizationId": "yourOrganizationId",
"folders": [
{
"folderId": "yourFolderId",
"folderName": "yourFolderName",
"parentFolderId": "yourParentFolderId"
}
]
}
}
2. Create folder with restricted access type
{
"data": {
"organizationId": "yourOrganizationId",
"folders": [
{
"folderId": "folder2025",
"folderName": "folder2025",
"accessType": "restricted"
}
]
}
}
Response
Success Response
{
"result": {
"status": "success",
"message": "Folder created successfully.",
"data": {
"yourFolderId": {
"success": true,
"id": "yourFolderId",
"message": "Folder added."
}
}
}
}
Failure Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "INVALID_ARGUMENT"
}
}
{
"result": {
"status": "success",
"message": "Folder created successfully.",
"data": {
"yourFolderId": {
"success": true,
"id": "yourFolderId",
"message": "Folder added."
}
}
}
}
Was this page helpful?
⌘I

